package com.yeejoin.amos.maintenance.business.param;

public class LoginUserParam {
    /**
     * 用户角色ID
     */
    private String roleId;

    /**
     * 用户角色类型名称
     */
    private String roleTypeName;

    /**
     * 选择的机构
     */
    private String loginOrgCode;

    /**
     * 登录用户的机构
     */
    private String userOrgCode;
    /**
     * admin标记 0-无关 1-上级admin 2-本级admin
     */
    private String adminFlag;

    private Long departmentId;

    private String companyId;

    /**
     * 登陆用户id
     */
    private long userId;

    private String companyName;

    public String getAdminFlag() {
        return adminFlag;
    }

    public void setAdminFlag(String adminFlag) {
        this.adminFlag = adminFlag;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getLoginOrgCode() {
        return loginOrgCode;
    }

    public void setLoginOrgCode(String loginOrgCode) {
        this.loginOrgCode = loginOrgCode;
    }

    public String getUserOrgCode() {
        return userOrgCode;
    }

    public void setUserOrgCode(String userOrgCode) {
        this.userOrgCode = userOrgCode;
    }

    public String getRoleTypeName() {
        return roleTypeName;
    }

    public void setRoleTypeName(String roleTypeName) {
        this.roleTypeName = roleTypeName;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
}
